/*
 * Copyright (C) 2003, 2004 Bjrn-Ove Heimsund
 * 
 * This file is part of SMT.
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package smt.test;

import mt.test.Utilities;
import smt.HashRowMatrix;

/**
 * Test of HashRowMatrix
 */
public class HashRowMatrixTest extends SparseMatrixTest {

	public HashRowMatrixTest(String arg0) {
		super(arg0);
	}

	protected void setup() throws Exception {
		int n = Utilities.getInt(max),
			m = Utilities.getInt(max),
			b = Utilities.getInt(Math.min(bmax, m)),
			t = Math.max(Utilities.getInt(tmax), 1);
		A = new HashRowMatrix(n, m, t);
		Ad = Utilities.rowPopulate(A, b);
	}

}
